package com.lz.modules.equipment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*
* @author quyixiao
* @since 2020-07-29
*/

@Data
@TableName("equipment_specs")
public class EquipmentSpecs implements java.io.Serializable {
    //主键id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除
    private Integer isDelete;
    //生成时间
    private Date gmtCreate;
    //修改时间
    private Date gmtModified;
    //规格
    private String specs;
    //品牌id
    private Long brandId;
    //类型id
    private Long typeId;
    //规格
    private Integer rank;
    //库存
    private Integer skus;
    //备注
    private String remark;
    //在使用的
    private Integer used;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 生成时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 生成时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 规格 
     * @return
     */
    public String getSpecs() {
        return specs;
    }
    /**
     * 规格 
     * @param specs
     */
    public void setSpecs(String specs) {
        this.specs = specs;
    }

    /**
     * 品牌id 
     * @return
     */
    public Long getBrandId() {
        return brandId;
    }
    /**
     * 品牌id 
     * @param brandId
     */
    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    /**
     * 类型id 
     * @return
     */
    public Long getTypeId() {
        return typeId;
    }
    /**
     * 类型id 
     * @param typeId
     */
    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    /**
     * 规格 
     * @return
     */
    public Integer getRank() {
        return rank;
    }
    /**
     * 规格 
     * @param rank
     */
    public void setRank(Integer rank) {
        this.rank = rank;
    }

    /**
     * 库存 
     * @return
     */
    public Integer getSkus() {
        return skus;
    }
    /**
     * 库存 
     * @param skus
     */
    public void setSkus(Integer skus) {
        this.skus = skus;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 在使用的 
     * @return
     */
    public Integer getUsed() {
        return used;
    }
    /**
     * 在使用的 
     * @param used
     */
    public void setUsed(Integer used) {
        this.used = used;
    }

    @Override
    public String toString() {
        return "EquipmentSpecs{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",specs=" + specs +
                ",brandId=" + brandId +
                ",typeId=" + typeId +
                ",rank=" + rank +
                ",skus=" + skus +
                ",remark=" + remark +
                ",used=" + used +
                "}";
    }
}